curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/metrics \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "online",
"current": {
"timestamp": "2025-01-15T10:00:00Z",
"cpu_percent": 12.5,
"ram_used": 134217728,
"ram_limit": 268435456,
"ram_percent": 50.0,
"net_rx": 1048576,
"net_tx": 524288,
"net_rx_rate": 1024.5,
"net_tx_rate": 512.2,
"pids": 3
},
"current_display": {
"cpu": "12.50%",
"ram": "128 MB / 256 MB (50.00%)",
"net_rx": "1 MB",
"net_tx": "512 KB",
"net_rx_rate": "1 KB/s",
"net_tx_rate": "512 B/s",
"pids": "3"
}
}
}
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "offline",
"current": null,
"message": "Bot is offline. Start the bot to see metrics."
}
}
Metrics
Current Metrics
Returns the latest resource usage snapshot for a bot. Collected every 30 seconds automatically.
GET
/
bots
/
{id}
/
metrics
curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/metrics \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "online",
"current": {
"timestamp": "2025-01-15T10:00:00Z",
"cpu_percent": 12.5,
"ram_used": 134217728,
"ram_limit": 268435456,
"ram_percent": 50.0,
"net_rx": 1048576,
"net_tx": 524288,
"net_rx_rate": 1024.5,
"net_tx_rate": 512.2,
"pids": 3
},
"current_display": {
"cpu": "12.50%",
"ram": "128 MB / 256 MB (50.00%)",
"net_rx": "1 MB",
"net_tx": "512 KB",
"net_rx_rate": "1 KB/s",
"net_tx_rate": "512 B/s",
"pids": "3"
}
}
}
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "offline",
"current": null,
"message": "Bot is offline. Start the bot to see metrics."
}
}
Path Parameters
string
required
UUID of the bot.
Response
string
UUID of the bot.
string
Current bot status.
object | null
null if bot is offline or metrics aren’t available yet.Show Metrics snapshot
Show Metrics snapshot
string
ISO 8601 timestamp of this snapshot.
number
CPU usage in percent.
number
RAM used in bytes.
number
RAM limit in bytes.
number
RAM usage as percentage of limit.
number
Total bytes received (cumulative).
number
Total bytes sent (cumulative).
number
Current receive rate in bytes/s.
number
Current send rate in bytes/s.
number
Number of active processes.
object
Human-readable versions of the same fields (e.g.
"128 MB / 256 MB (50.00%)").curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/metrics \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "online",
"current": {
"timestamp": "2025-01-15T10:00:00Z",
"cpu_percent": 12.5,
"ram_used": 134217728,
"ram_limit": 268435456,
"ram_percent": 50.0,
"net_rx": 1048576,
"net_tx": 524288,
"net_rx_rate": 1024.5,
"net_tx_rate": 512.2,
"pids": 3
},
"current_display": {
"cpu": "12.50%",
"ram": "128 MB / 256 MB (50.00%)",
"net_rx": "1 MB",
"net_tx": "512 KB",
"net_rx_rate": "1 KB/s",
"net_tx_rate": "512 B/s",
"pids": "3"
}
}
}
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "offline",
"current": null,
"message": "Bot is offline. Start the bot to see metrics."
}
}
⌘I

